Bug 401591 - can't set kde as default
can't set kde as default
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
athlon Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 13:30 EST by cfzeitler
Modified: 2008-09-05 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 05:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cfzeitler 2007-11-27 13:30:10 EST
Description of problem:
need to 'change session to' kde 
every time when logging on
to avoid getting gnome desktop

Version-Release number of selected component (if applicable):
gdm-2.20.1-7.fc8

How reproducible:
log on without changing desktop

Steps to Reproduce:
1.log-in to kde
2.log out
3.log in without changing desktop
  
Actual results:
starts gnome

Expected results:
start previous desktop
(or, after changing session,
get opportunity to set default desktop)

Additional info:
rpm -V gdm returns a null
Comment 1 cfzeitler 2007-11-27 13:58:20 EST
switchdesk has the missing functionality
Comment 2 Gianluca Varisco 2008-03-23 07:17:23 EDT
Hi cfzeitler,

Do you still have the problem? If yes, can you provide to us the content of
your's /etc/sysconfig/desktop ?

Comment 3 James J Catchpole 2008-04-04 13:40:30 EDT
(In reply to comment #2)
> Hi cfzeitler,
> 
> Do you still have the problem? If yes, can you provide to us the content of
> your's /etc/sysconfig/desktop ?
> 
> 

(In reply to comment #2)
> Hi cfzeitler,
> 
> Do you still have the problem? If yes, can you provide to us the content of
> your's /etc/sysconfig/desktop ?
> 
> 

(In reply to comment #1)
> switchdesk has the missing functionality

(In reply to comment #0)
> Description of problem:
> need to 'change session to' kde 
> every time when logging on
> to avoid getting gnome desktop
> 
> Version-Release number of selected component (if applicable):
> gdm-2.20.1-7.fc8
> 
> How reproducible:
> log on without changing desktop
> 
> Steps to Reproduce:
> 1.log-in to kde
> 2.log out
> 3.log in without changing desktop
>   
> Actual results:
> starts gnome
> 
> Expected results:
> start previous desktop
> (or, after changing session,
> get opportunity to set default desktop)
> 
> Additional info:
> rpm -V gdm returns a null

I solved the problem of making KDE the default by adding a .dmrc file to the
home directory of the user:

[Desktop]
Session=kde

I also do not have an /etc/sysconfig/desktop file

Note You need to log in before you can comment on or make changes to this bug.